package elf

import "git.urbach.dev/cli/q/src/config"

// cpu returns the CPU architecture used in the ELF header.
func cpu() int16 {
	switch config.TargetArch {
	case config.ARM:
		return ArchitectureARM64
	case config.X86:
		return ArchitectureAMD64
	default:
		panic("unknown architecture")
	}
}
